<template>
	<main>
		<div class="container">
			<!-- Buttons -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Buttons</h2>
				<p>
					<button class="btn--primary">Button Color</button>
					<button class="btn--ghost-primary">Button Color</button>
					<button class="btn--flat-primary">Button Color</button>
				</p>
				<p>
					<button class="btn--secondary">Button Color</button>
					<button class="btn--ghost-secondary">Button Color</button>
					<button class="btn--flat-secondary">Button Color</button>
				</p>
				<p>
					<button class="btn--warning">Button Color</button>
					<button class="btn--ghost-warning">Button Color</button>
					<button class="btn--flat-warning">Button Color</button>
				</p>
				<p>
					<button class="btn--danger">Button Color</button>
					<button class="btn--ghost-danger">Button Color</button>
					<button class="btn--flat-danger">Button Color</button>
				</p>
				<p>
					<button class="btn--black">Button Color</button>
					<button class="btn--ghost-black">Button Color</button>
					<button class="btn--flat-black">Button Color</button>
				</p>
				<p>
					<button class="btn--light-grey">Button Color</button>
					<button class="btn--ghost-light-grey">Button Color</button>
					<button class="btn--flat-light-grey">Button Color</button>
				</p>
				<p>
					<button class="btn--white">Button Color</button>
					<button class="btn--ghost-white">Button Color</button>
					<button class="btn--flat-white">Button Color</button>
				</p>
				<div class="text-size14">
					<pre><code class="code-container html">&lt;p&gt;
    &lt;button class=&quot;btn--primary&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-primary&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-primary&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--secondary&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-secondary&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-secondary&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--warning&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-warning&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-warning&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--danger&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-danger&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-danger&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--black&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-black&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--light-grey&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-light-grey&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--white&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-white&quot;&gt;Button Color&lt;/button&gt;
    &lt;button class=&quot;btn--flat-white&quot;&gt;Button Color&lt;/button&gt;
&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Button sizing -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Button Sizing</h2>
				<p>
					<button class="btn--primary btn--small">Small Button</button>
					<button class="btn--ghost-primary btn--small">Small Button</button>
					<button class="btn--flat-primary btn--small">Small Button</button>
				</p>
				<p>
					<button class="btn--primary">Normal Button</button>
					<button class="btn--ghost-primary">Normal Button</button>
					<button class="btn--flat-primary">Normal Button</button>
				</p>
				<p>
					<button class="btn--primary btn--large">Large Button</button>
					<button class="btn--ghost-primary btn--large">Large Button</button>
					<button class="btn--flat-primary btn--large">Large Button</button>
				</p>
				<div class="text-size14">
					<pre><code class="code-container html">&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--small&quot;&gt;Small Button&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-primary btn--small&quot;&gt;Small Button&lt;/button&gt;
    &lt;button class=&quot;btn--flat-primary btn--small&quot;&gt;Small Button&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--primary&quot;&gt;Normal Button&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-primary&quot;&gt;Normal Button&lt;/button&gt;
    &lt;button class=&quot;btn--flat-primary&quot;&gt;Normal Button&lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--large&quot;&gt;Large Button&lt;/button&gt;
    &lt;button class=&quot;btn--ghost-primary btn--large&quot;&gt;Large Button&lt;/button&gt;
    &lt;button class=&quot;btn--flat-primary btn--large&quot;&gt;Large Button&lt;/button&gt;
&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Icon-only buttons -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Icon-only Buttons</h2>
				<p>
					<button class="btn--primary btn--small btn--icon">
						<i class="fas fa-search fa-sm"></i>
						<!-- <font-awesome-icon icon="fa-solid fa-user-secret" /> -->
					</button>
					<button class="btn--ghost-black btn--small btn--icon">
						<i class="fas fa-times fa-sm"></i>
					</button>
					<button class="btn--flat-light-grey btn--small btn--icon">
						<i class="fas fa-user fa-sm"></i>
					</button>
				</p>
				<p>
					<button class="btn--primary btn--icon">
						<i class="fas fa-user"></i>
					</button>
					<button class="btn--ghost-black btn--icon">
						<i class="fas fa-search"></i>
					</button>
					<button class="btn--flat-light-grey btn--icon">
						<i class="fas fa-times"></i>
					</button>
				</p>
				<p>
					<button class="btn--primary btn--large btn--icon">
						<i class="fas fa-times fa-lg"></i>
					</button>
					<button class="btn--ghost-black btn--large btn--icon">
						<i class="fas fa-user fa-lg"></i>
					</button>
					<button class="btn--flat-light-grey btn--large btn--icon">
						<i class="fas fa-search fa-lg"></i>
					</button>
				</p>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--small btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-search fa-sm&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black btn--small btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-times fa-sm&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey btn--small btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-user fa-sm&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-user&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-search&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-times&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--large btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-times fa-lg&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black btn--large btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-user fa-lg&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey btn--large btn--icon&quot;&gt;
        &lt;i class=&quot;fas fa-search fa-lg&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Icon + Text buttons -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Icon + Text Buttons</h2>
				<p>
					<button class="btn--primary btn--small">
						Search <i class="fas fa-search"></i>
					</button>
					<button class="btn--ghost-black btn--small">
						<i class="fas fa-times"></i> Cancel
					</button>
					<button class="btn--flat-light-grey btn--small">
						Profile <i class="fas fa-user"></i>
					</button>
				</p>
				<p>
					<button class="btn--primary">
						<i class="fas fa-user"></i> Profile
					</button>
					<button class="btn--ghost-black">
						Search <i class="fas fa-search"></i>
					</button>
					<button class="btn--flat-light-grey">
						<i class="fas fa-times"></i> Cancel
					</button>
				</p>
				<p>
					<button class="btn--primary btn--large">
						Cancel <i class="fas fa-times"></i>
					</button>
					<button class="btn--ghost-black btn--large">
						<i class="fas fa-user"></i> Profile
					</button>
					<button class="btn--flat-light-grey btn--large">
						<i class="fas fa-search"></i> Search
					</button>
				</p>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--small&quot;&gt;
        Search &lt;i class=&quot;fas fa-search&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black btn--small&quot;&gt;
        &lt;i class=&quot;fas fa-times&quot;&gt;&lt;/i&gt; Cancel
    &lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey btn--small&quot;&gt;
        Profile &lt;i class=&quot;fas fa-user&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--primary&quot;&gt;
        &lt;i class=&quot;fas fa-user&quot;&gt;&lt;/i&gt; Profile
    &lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black&quot;&gt;
        Search &lt;i class=&quot;fas fa-search&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey&quot;&gt;
        &lt;i class=&quot;fas fa-times&quot;&gt;&lt;/i&gt; Cancel
    &lt;/button&gt;
&lt;/p&gt;
&lt;p&gt;
    &lt;button class=&quot;btn--primary btn--large&quot;&gt;
        Cancel &lt;i class=&quot;fas fa-times&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
    &lt;button class=&quot;btn--ghost-black btn--large&quot;&gt;
        &lt;i class=&quot;fas fa-user&quot;&gt;&lt;/i&gt; Profile
    &lt;/button&gt;
    &lt;button class=&quot;btn--flat-light-grey btn--large&quot;&gt;
        &lt;i class=&quot;fas fa-search&quot;&gt;&lt;/i&gt; Search
    &lt;/button&gt;
&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'ButtonsPage'
}
</script>

<style lang="scss" scoped></style>
